-- MySQL dump 10.11
--
-- Host: localhost    Database: 
-- ------------------------------------------------------
-- Server version	5.0.51a-24+lenny4

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `asterisk`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `asterisk` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `asterisk`;

--
-- Table structure for table `radius_packets_Failed`
--

DROP TABLE IF EXISTS `radius_packets_Failed`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `radius_packets_Failed` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `h323_connect_time` datetime default NULL,
  `h323_disconnect_time` datetime default NULL,
  `acct_session_time` int(5) default NULL,
  `h323_disconnect_cause` varchar(3) default NULL,
  `nas_ip_address` varchar(32) default NULL,
  `user_name` varchar(32) default NULL,
  `calling_station_id` varchar(32) default NULL,
  `called_station_id` varchar(32) default NULL,
  `call_id` varchar(36) default NULL,
  `h323_setup_time` datetime default NULL,
  `h323_conf_id` varchar(40) default NULL,
  `h323_conf_id_modified` varchar(40) default NULL,
  `h323_remote_address` varchar(32) default NULL,
  `call_profile` varchar(32) default NULL,
  `creation_date` datetime default NULL,
  `reception_date` datetime default NULL,
  `last_send` datetime default NULL,
  `i_delay` int(2) NOT NULL default '0',
  `send_counter` int(3) default NULL,
  `sending_state` char(1) NOT NULL default '0',
  `status` char(1) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3395 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `radius_packets_Failed`
--

LOCK TABLES `radius_packets_Failed` WRITE;
/*!40000 ALTER TABLE `radius_packets_Failed` DISABLE KEYS */;
/*!40000 ALTER TABLE `radius_packets_Failed` ENABLE KEYS */;
UNLOCK TABLES;

