#! /usr/bin/perl -w
use strict;
use warnings;
use Socket;
my $Limit=0;
my @LogFile;
while(<>)
	{
	my $tmp=$_;
	chomp($tmp);
	$LogFile[$Limit]=$tmp;
	$Limit++;
	}
my %sip=();
my %num=();
my ($sip_,$num_);
for(my $i=0;$i<$Limit;)
{
if($LogFile[$i]=~ /^(REGISTER|register)/ and $LogFile[$i+1]=~ /^(From|from|FROM)/ )
	{
	($sip_)= $LogFile[$i] =~ /sip:([^ :;]+)[ :;]/;
	($num_)= $LogFile[$i+1] =~ /sip:([^@]+)\@/;	
	$sip_=lc($sip_);
	if ($num_ && $sip_)
		{
		$num{$num_}=$sip_;
		}
	$i+=2
	}
else
	{
	$i++;
	}
}
foreach my $Key (keys(%num))
{
#test si Num tel valide 
if (!($Key =~ /^[0-9]{11}$/))
	{
	delete($num{$Key});
	}
else 
	{
	#test si IP 
	if (($sip_) = $num{$Key} =~ /(([01]?\d\d?|2[0-4]\d|25[0-5])\.([01]?\d\d?|2[0-4]\d|25[0-5])\.([01]?\d\d?|2[0-4]\d|25[0-5])\.([01]?\d\d?|2[0-4]\d|25[0-5]))/g )
		{
		# remplacer ip par host
		my $iaddr = inet_aton($sip_); # or whatever address
		my $name = gethostbyaddr($iaddr, AF_INET);
		$num{$Key}= $name;
		}
	}
}
foreach my $ln (keys(%num))
{
if ($num{$ln} && $num{$ln} =~ m/(\.ch|\.net|\.com)$/) # verifier le domaine
	{
	$sip{$num{$ln}}++;
	}
}
my $URL="";
foreach my $ln (keys(%sip))
{
my $val=$ln;
$val=~ s/\./\_/g;
$URL.="&$val=".$sip{$ln};
}
my ($host) = `/bin/hostname`;
chomp($host);
$host=~ s/\./\_/g;
$URL="?host=$host$URL";
my $comsys="/usr/local/bin/wget -q  --output-document='/tmp/tmp'  --http-user=switzernet --http-passwd=perlsip 'http://switzernet.com/folders/110121-registred-sip/register.php$URL'";
system $comsys;
